Skip to main content
GET
Get a function

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

workspace
string
required

Workspace slug.

Maximum string length: 64
Pattern: ^[a-z0-9][a-z0-9-]{0,63}$
name
string
required

Function name — a Python identifier.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9_]{0,63}$

Response

Successful Response

workspace
string
required
name
string
required
kind
string
required
created_by
string
required
created_at
string<date-time>
required
summary
string
default:""
folder
string
default:""
archived_at
string<date-time> | null
latest_version
integer | null
latest_status
enum<string> | null

Lifecycle state of a single version.

draft → submitted → approved, with reject returning a submitted version to draft and retire taking an approved version out of circulation.

Available options:
draft,
submitted,
approved,
retired
published
FunctionPublicationResponse · object | null
signature
string | null

How the published (or else newest) version is called, e.g. rate_for(rate, code, codes).